/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: WebServicesConsoleDelegate.as 21081 2011-03-31 08:55:51Z renaultgu $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.admin.webservicesconsole.business {
import com.adobe.cairngorm.business.ServiceLocator;

import org.ow2.jasmine.kerneos.common.business.AbsDelegateResponder;

/**
 * Delegate class to call java side.
 */
public class WebServicesConsoleDelegate extends AbsDelegateResponder implements IWebServicesConsoleDelegate {

    /**
     * Call the java side method to get the available operations.
     */
    public function getOperations(p_Url:String):void {
        // find service
        var service:Object = ServiceLocator.getInstance().getRemoteObject("webServicesConsole");
        // call service
        var call:Object = service.getOperations(p_Url);
        // add the responder as a listener for the answer of the java side
        call.addResponder(this.responder);
    }

    /**
     * Call the java side method to get the request skeleton.
     */
    public function getRequest(p_Url:String, p_Operation:String):void {
        // find service
        var service:Object = ServiceLocator.getInstance().getRemoteObject("webServicesConsole");
        // call service
        var call:Object = service.getRequest(p_Url, p_Operation);
        // add the responder as a listener for the answer of the java side
        call.addResponder(this.responder);
    }


    /**
     * Call the java side method to get send the request (soap message).
     */
    public function sendRequest(p_Url:String, p_Operation:String, p_Request:String):void {
        // find service
        var service:Object = ServiceLocator.getInstance().getRemoteObject("webServicesConsole");
        // call service
        var call:Object = service.sendRequest(p_Url, p_Operation, p_Request);
        // add the responder as a listener for the answer of the java side
        call.addResponder(this.responder);
    }

}
}
